Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597440 - CVE-2018-13033 binutils: Uncontrolled Resource Consumption in execution of nm [fedora-all]
Summary: CVE-2018-13033 binutils: Uncontrolled Resource Consumption in execution of nm...
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 28
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 22:58 UTC by Laura Pardo
Modified: 2018-07-06 15:49 UTC (History)
4 users (show)

Fixed In Version: binutils-2.29.1-25.fc28
Doc Type: Bug Fix
Doc Text:
Cause: The BFD library assumed that notes in ELF format files were well formed. Consequence: A specially crafted ELF file containing corrupt notes could trick the BFD library into allocating a negative amount of memory, thus triggering a memory exhaustion failure. Fix: Teach the BFD library to detect and report this kind of corrupt ELF file. Result: No more memory exhaustions when parsing this sort of corrupt file.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Laura Pardo 2018-07-02 22:58:00 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Laura Pardo 2018-07-02 22:58:05 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1597436,1597440

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Nick Clifton 2018-07-05 10:12:39 UTC
This bug is fixed in the soon-to-be-available 2.31 binutils release, which
should be part of Fedora 29.

Comment 3 Nick Clifton 2018-07-05 10:34:12 UTC
Fixed in: binutils-2.29.1-25.fc28


Note You need to log in before you can comment on or make changes to this bug.